<?php
include "../koneksi.php";

// Ambil data dari form
$tanggal = $_POST['tanggal'];
$winner_prize = $_POST['winner_prize'];
$prize2 = $_POST['prize2'];
$draw_type = $_POST['draw_type'];
$draw_id = $_POST['draw_id'];
$prize3 = $_POST['prize3'];
$draw_time = $_POST['draw_time'];
$draw_end = $_POST['draw_end'];

// Ambil data spesial dan consolation dari form
$spesial = [];
$consolation = [];
for ($i = 1; $i <= 6; $i++) {
    $spesial[] = $_POST['spesial' . $i];
    $consolation[] = $_POST['consolation' . $i];
}

// Buat query untuk memasukkan data ke tabel result_day
$query_day = "INSERT INTO result_night(draw_type, tanggal, winner_prize, prize2, draw_id, prize3";
for ($i = 1; $i <= 6; $i++) {
    $query_day .= ", spesial$i";
}
for ($i = 1; $i <= 6; $i++) {
    $query_day .= ", consolation$i";
}
$query_day .= ") VALUES('$draw_type', '$tanggal', '$winner_prize', '$prize2', '$draw_id', '$prize3'";
foreach ($spesial as $value) {
    $query_day .= ", '$value'";
}
foreach ($consolation as $value) {
    $query_day .= ", '$value'";
}
$query_day .= ")";

$proses = mysqli_query($koneksi, $query_day);

// Cek apakah query pertama berhasil
if ($proses) {
    // Buat query untuk memasukkan data ke tabel result_lengkap
    $query_lengkap = "INSERT INTO result_lengkap(tanggal, draw_time, draw_end, draw_type, winner_prize, prize2, draw_id, prize3";
    for ($i = 1; $i <= 6; $i++) {
        $query_lengkap .= ", spesial$i";
    }
    for ($i = 1; $i <= 6; $i++) {
        $query_lengkap .= ", consolation$i";
    }
    $query_lengkap .= ") VALUES('$tanggal', '$draw_time', '$draw_end', '$draw_type', '$winner_prize', '$prize2', '$draw_id', '$prize3'";
    foreach ($spesial as $value) {
        $query_lengkap .= ", '$value'";
    }
    foreach ($consolation as $value) {
        $query_lengkap .= ", '$value'";
    }
    $query_lengkap .= ")";

    $result_lengkap = mysqli_query($koneksi, $query_lengkap);

    // Cek apakah query kedua berhasil
    if ($result_lengkap) {
        // Jika berhasil, alihkan ke halaman hasil atau tampilkan pesan sukses
        header("location:result.php?alert=berhasil");
        exit();
    } else {
        // Jika query kedua gagal, tampilkan pesan kesalahan
        echo "Proses Gagal pada result_lengkap<br>Error: " . mysqli_error($koneksi);
    }
} else {
    // Jika query pertama gagal, tampilkan pesan kesalahan
    echo "Proses Gagal pada result_night<br>Error: " . mysqli_error($koneksi);
}

// Tutup koneksi
mysqli_close($koneksi);
?>
